/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:47pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\trashbag.cs
Lines of code: 59

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Misc;

namespace Server.Items
{
	public class trashbag : TrashBarrel
	{
	
		public override int deletedelay { get { return 10;}}
	
		[Constructable]
		public trashbag()
		{
		ItemID=3702;			
		Movable=true;
		LootType = LootType.Blessed;
		}

		public override string DefaultName
		{
			get { return "Trash Bag"; }
		} 

		public override bool OnDragDrop( Mobile from, Item item )
		{
			if(item.LootType==LootType.Blessed || item.Insured)
			{
			from.SendMessage("You may not place blessed or insured items in this bag");
			return false;
			}		
		
			return base.OnDragDrop(from,item);
		}
		
		public override bool OnDragDropInto( Mobile from, Item item, Point3D p )
		{
		
			if(item.LootType==LootType.Blessed || item.Insured)
			{
			from.SendMessage("You may not place blessed or insured items in this bag");
			return false;
			}		
		
			return base.OnDragDropInto(from,item,p);
		}

		public override int GetTotal( TotalType type )
		{

		return 0;
		}	
		
		public override void UpdateTotal( Item sender, TotalType type, int delta )
		{
		
		}		

		public trashbag( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
    	}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
		
			int version = reader.ReadInt();

		}		
	}
}